GET
/v1/agents/{agentKey}/runs

This agent's runs, newest first.

Authorization

apiKey
headerAuthorizationBearer <token>

API key for authenticating protected endpoints. Pass as Bearer token in Authorization header.

Path Parameters

agentKey*string

Which agent, such as changelog

Query Parameters

limit?integer

How many to return, up to 50. Defaults to 10.

Range1 <= value <= 50

Response Body

Recent runs

application/json
  1. response
runs*array<>
curl -X GET "https://example.com/v1/agents/string/runs"
{  "runs": [    {      "runId": "string",      "status": "queued",      "startedAt": "string",      "finishedAt": "string",      "deliverables": [        {          "export": "string",          "item": "string",          "status": "string"        }      ]    }  ]}